!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module DebugSet
!
!   * Developer: ODAKA Masatsugu (odakker@gfd-dennou.org)
!   * Version: $Id: debugset.f90,v 1.2 2005/02/02 09:53:48 odakker Exp $
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!ǥХ⥸塼
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

module debugset
                                                                 !=begin
  !== Dependency
  use dc_trace, only: SetDebug
                                                                 !=end
  !--- ۤηػ
  implicit none

  !--- save °
  save
                                                                 !=begin
  !== Public Interface
  logical :: DebugOn   ! ǥХåϥå
                                                                 !=end  
contains
                                                                 !=begin
  !== Procedure Interface 
  !
  !=== Initialize module and acquire NAMELIST
  !
  !NAMELIST , ǥХåϥåؤԤ.
  !
  subroutine debugset_init(cfgfile)

    !=== Input
    character(*), intent(in) :: cfgfile
                                                                 !=end    

                                                                 !=begin    
    !=== NAMELIST 
    NAMELIST /debugset/ DebugOn
    
    open (10, FILE=cfgfile)
    read(10, NML=debugset)
    close(10)

    if (DebugOn) then
      call SetDebug
    end if
                                                                 !=end
    
  end subroutine debugset_init
  
end module debugset
